<div class="wrapper">
    <div class="head">
      <h2>Your Profile</h2>
      <h3 *ngIf="name">Login by <b>{{name}} </b></h3>
      <h3 *ngIf="email">Email:  <b>{{email}} </b></h3>
    </div>
    <div class="main">
      <div class="orders">
        <h2 style="padding-bottom: 10px;">Your Orders</h2>
          <table class="table" id="myTable">
              <thead>
                  <tr>
                      <th>Item</th>
                      <th>Series</th>
                      <th>Power</th>
                      <th>Phases</th>
                      <th>Price</th>
                      <th>Count</th>
                      <th>Remove</th>
                  </tr>
              </thead>
              <tbody *ngFor="let item of pagedItems">
                <tr>
                  <td class="clickLink"><img src="{{item.image}}"></td>
                  <td class="clickLink">
                    {{item.series}}
                  </td>
                  <td class="clickLink">
                      {{item.power}}
                  </td>
                  <td class="clickLink">
                      {{item.phases}}
                  </td>
                  <td class="clickLink">
                    {{item.money}}
                  </td>
                  <td><input value="{{item.count}}" type="number" min="1" style="width: 3em" (click)="postCount(item.id,count.value)" #count/></td>
                  <td ><b class="remove" (click)="deleteOrder(item.id)">X</b></td>
                </tr>
              </tbody>
            </table>
            <div class="actions">
              <button type="submit" class="btn btn-default">Save Changes</button>
            </div>
            <div *ngIf="countProduct > 10" class="row text-center">
                <ul *ngIf="pager.pages && pager.pages.length" class="pagination">
                    <li [ngClass]="{disabled:pager.currentPage === 1}">
                        <a (click)="setPage(1)">First</a>
                    </li>
                    <li [ngClass]="{disabled:pager.currentPage === 1}">
                        <a (click)="setPage(pager.currentPage - 1)">Previous</a>
                    </li>
                    <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
                        <a (click)="setPage(page)">{{page}}</a>
                    </li>
                    <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                        <a (click)="setPage(pager.currentPage + 1)">Next</a>
                    </li>
                    <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                        <a (click)="setPage(pager.totalPages)">Last</a>
                    </li>
                </ul>
            </div>
      </div>
    </div>
</div>